<template>
    <div
      :component="asCard ? 'q-card' : 'div'"
      :style="{
        backgroundColor: group.color
      }"
    >
      <q-card-title v-if="asCard && group.title">{{ group.title }}</q-card-title>
      <q-card-main
        :component="asCard ? 'q-card-main': 'div'"
      >
        <div
          class="flex items-center"
          :style="{
            margin: '-10px -5px 0'
          }"
        >
          <div
            v-for="(field, index) in group.fields"
            :key="index"
            :style="{
              width: `${field.width || 100}%`,
              padding: '0 5px',
            }"
            class="q-mt-md"
          >
            <field
              :record="record"
              :field="field"
            />
          </div>
        </div>
      </q-card-main>
    </div>
</template>

<script>
  import field from './field';

  export default {
    name: 'group',
    components: { field },
    props: {
      asCard: {
        type: Boolean,
        default: () => true,
      },
      record: {
        type: Object,
      },
      group: {
        type: Object,
      },
    },
  };
</script>
